1. Authorization
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Authorization

Find Transaction Routes

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/transaction-routes/assigned-routes

#

This is a GET request that returns a list of transaction routes that you currently have setup

Sample success response:#

{
    "routes": [
        {
            "id": "fcac4af0-68ef-eb11-a864-dc41a9f8739c",
            "category": "1",
            "categoryDescription": "Bank Transfer",
            "categoryIsEnabled": true,
            "routeIntergration": "KCB",
            "country": "Kenya",
            "routeIsActive": true,
            "channelTypes": [
                {
                    "channelType": 3,
                    "channelDescription": "EFT"
                },
                {
                    "channelType": 4,
                    "channelDescription": "RTGS"
                }
            ]
        }
    ]
}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/transaction-routes/assigned-routes' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-01-29 06:17:58
Previous
Token Request
Next
Health Check
Built with